/************************************************************

Copyright (c) 2000 <Christian.Werner@t-online.de>

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Except as contained in this notice, the name of the X Consortium shall not be
used in advertising or otherwise to promote the sale, use or other dealings
in this Software without prior written authorization from the X Consortium.

********************************************************/

/* THIS IS NOT AN X CONSORTIUM STANDARD */

#ifndef _XJSSTR_H_
#define _XJSSTR_H_

#include "XJS.h"

#define XJSNAME "WeirdX-JavaScript"

typedef struct _XJSReq {
    CARD8	reqType;	/* always XJSReqCode */
    CARD8	xjsReqType;
    CARD16	length B16;
    CARD32	nargs B32;
    CARD32      pad0 B32;
    CARD32      pad1 B32;
    CARD32      pad2 B32;
    CARD32      pad3 B32;
    CARD32      pad4 B32;
    CARD32      pad5 B32;
} xJSReq;    
#define sz_xJSReq	32

typedef xJSReq xJSAYTReq;
#define sz_xJSAYTReq	sz_xJSReq

typedef xJSReq xJSEvalReq;
#define sz_xJSEvalReq	sz_xJSReq

typedef xJSReq xJSCallReq;
#define sz_xJSCallReq	sz_xJSReq

typedef struct _XJSReply {
    BYTE	type;  /* X_Reply */
    CARD8	flags;
    CARD16	sequenceNumber B16;
    CARD32	length B32;
    CARD32	size B32;
    CARD32	pad0 B32;
    CARD32	pad1 B32;
    CARD32	pad2 B32;
    CARD32	pad3 B32;
    CARD32	pad4 B32;
} xJSReply;
#define sz_xJSReply	32

#endif /* _XJSSTR_H_ */
